GET api/List/{listId}/Item/{id}/UserHasPermission?webUrl={webUrl}&permissionKind={permissionKind}
Check if the current user has permission of the given permissionKind, on the list listId and item id.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| webUrl |
Url of the web where the list is located. |
string |
Required |
| listId |
The id of the list |
globally unique identifier |
Required |
| id |
The id of the list item |
integer |
Required |
| permissionKind |
The kind of permission to check |
Microsoft.SharePoint.Client.PermissionKind |
Required |
Body Parameters
None.
Response Information
Resource Description
Returns a list item.
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.